%define        majver %(echo %version | cut -d. -f 1-2)
%define        libname libxslt

Name:          libxslt
Version:       1.1.43
Release:       1mamba
Summary:       Library providing the Gnome XSLT engine
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://gitlab.gnome.org/GNOME/libxslt/
Source:        https://gitlab.gnome.org/GNOME/libxslt.git/v%{version}/libxslt-%{version}.tar.bz2
Patch0:        libxslt-1.1.34-man-pages-stylesheet-fix.patch
Patch1:        libxslt-1.1.35-Make-generate-id-deterministic.patch
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libpython311-devel
BuildRequires: libxml2-devel
## AUTOBUILDREQ-END

%description
This C library allows to transform XML files into other XML files (or HTML, text, ...) using the standard XSLT stylesheet transformation mechanism. 
The xsltproc command is a command line interface to the XSLT engine.

%package devel
Group:         Development/Libraries
Summary:       Devel files for XSLT
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name}-tools = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This C library allows to transform XML files into other XML files (or HTML, text, ...) using the standard XSLT stylesheet transformation mechanism.
The xsltproc command is a command line interface to the XSLT engine.
People can either embed the library in their application or use xsltproc the command line processing tool.
This package contains static libraries and header files needed for development.

%package tools
Group:         Development/Tools
Summary:       Tools for XSLT
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
This C library allows to transform XML files into other XML files (or HTML, text, ...) using the standard XSLT stylesheet transformation mechanism.
The xsltproc command is a command line interface to the XSLT engine.
This package contains tools provided by libxslt.

%package -n python-xslt
Group:         Development/Libraries/Python
Summary:       Python bindings for XSLT library
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
#% py_requires

%description -n python-xslt
This C library allows to transform XML files into other XML files (or HTML, text, ...) using the standard XSLT stylesheet transformation mechanism.
This package contains the bindings to use the librarywith Python programs.


%prep
%setup -q

NOCONFIGURE=1 ./autogen.sh

%build
# NOTE: as of 1.1.35 cmake build messes with library SOVER
#% cmake -d build

%configure \
   --disable-static

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files
%defattr(-,root,root)
%{_libdir}/libexslt.so.*
%{_libdir}/libxslt.so.*
%doc AUTHORS Copyright

%files tools
%defattr(-,root,root)
%{_bindir}/xsltproc
%{_mandir}/man1/xsltproc.*

%files devel
%defattr(-,root,root)
%{_bindir}/xslt-config
%dir %{_includedir}/libxslt
%{_includedir}/libxslt/*.h
%dir %{_includedir}/libexslt
%{_includedir}/libexslt/*.h
%{_libdir}/libexslt.so
%{_libdir}/libxslt.so
%{_libdir}/xsltConf.sh
%{_libdir}/pkgconfig/libexslt.pc
%{_libdir}/pkgconfig/libxslt.pc
%dir %{_libdir}/cmake/libxslt
%{_libdir}/cmake/libxslt/*.cmake
%dir %{_docdir}/libxslt-%{version}
%{_docdir}/libxslt-%{version}/*
%dir %{_datadir}/gtk-doc/html/libxslt
%{_datadir}/gtk-doc/html/libxslt/*
%dir %{_datadir}/gtk-doc/html/libexslt
%{_datadir}/gtk-doc/html/libexslt/*
%dir %{_datadir}/doc/libxslt
%{_datadir}/doc/libxslt/*
%{_mandir}/man3/*

%files -n python-xslt
%defattr(-,root,root)
%{python3_sitearch}/*
%ifarch x86_64 aarch64
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/libxslt.py
%endif

%changelog
* Fri Mar 14 2025 Automatic Build System <autodist@openmamba.org> 1.1.43-1mamba
- automatic version update by autodist

* Fri Jul 05 2024 Automatic Build System <autodist@openmamba.org> 1.1.42-1mamba
- automatic version update by autodist

* Fri Jun 21 2024 Automatic Build System <autodist@openmamba.org> 1.1.41-1mamba
- automatic version update by autodist

* Thu Jun 13 2024 Automatic Build System <autodist@openmamba.org> 1.1.40-1mamba
- automatic version update by autodist

* Fri Nov 17 2023 Automatic Build System <autodist@mambasoft.it> 1.1.39-1mamba
- automatic version update by autodist

* Fri May 12 2023 Automatic Build System <autodist@mambasoft.it> 1.1.38-1mamba
- automatic version update by autodist

* Tue Aug 30 2022 Automatic Build System <autodist@mambasoft.it> 1.1.37-1mamba
- automatic version update by autodist

* Mon Aug 22 2022 Automatic Build System <autodist@mambasoft.it> 1.1.36-1mamba
- automatic version update by autodist

* Sun Jun 05 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.35-2mamba
- rebuilt back with autotools to fix wrong library SOVER

* Sat May 28 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.35-1mamba
- update to 1.1.35

* Sat May 15 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.34-3mamba
- patched to fix man page stylesheet

* Sat Nov 28 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.34-2mamba
- rebuilt with debug package; removed python binding

* Mon Nov 25 2019 Automatic Build System <autodist@mambasoft.it> 1.1.34-1mamba
- automatic version update by autodist

* Wed Jan 09 2019 Automatic Build System <autodist@mambasoft.it> 1.1.33-1mamba
- automatic version update by autodist

* Wed Nov 22 2017 Automatic Build System <autodist@mambasoft.it> 1.1.32-1mamba
- automatic update by autodist

* Mon Oct 23 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.31-1mamba
- update to 1.1.31

* Sun Sep 10 2017 Automatic Build System <autodist@mambasoft.it> 1.1.30-1mamba
- automatic version update by autodist

* Fri May 27 2016 Automatic Build System <autodist@mambasoft.it> 1.1.29-1mamba
- automatic version update by autodist

* Sat May 25 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.28-2mamba
- python 2.7 mass rebuild

* Fri Nov 23 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.28-1mamba
- update to 1.1.28

* Tue Oct 09 2012 Automatic Build System <autodist@mambasoft.it> 1.1.27-1mamba
- automatic version update by autodist

* Tue Jun 29 2010 Automatic Build System <autodist@mambasoft.it> 1.1.26-2mamba
- automatic rebuild by autodist

* Tue Sep 29 2009 Automatic Build System <autodist@mambasoft.it> 1.1.26-1mamba
- automatic update to 1.1.26 by autodist

* Tue Sep 22 2009 Automatic Build System <autodist@mambasoft.it> 1.1.25-1mamba
- automatic update by autodist

* Tue Sep 30 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.24-1mamba
- update to 1.1.24

* Fri May 09 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.22-1mamba
- update to 1.1.22

* Thu Jan 04 2007 Davide Madrisan <davide.madrisan@qilinux.it> 1.1.17-1qilnx
- update to version 1.1.17 by autospec
- python-xslt requires python

* Mon Oct 03 2005 Massimo Pintore <massimo.pintore@qilinux.it> 1.1.15-1qilnx
- update to version 1.1.15 by autospec

* Fri May 13 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.14-1qilnx
- update to version 1.1.14 by autospec

* Mon Jun 30 2003 Silvan Calarco <silvan.calarco@qinet.it> 1.0.30-1qilnx
- first build
